/*eslint no-var: "error" */
/*eslint no-unused-vars: "off" */
/*eslint linebreak-style: "off" */
/*eslint no-trailing-spaces: "off" */
/*eslint-env es6*/

import {call} from 'core/ajax';
import notification from 'core/notification';

import Vue from './vue/vue';

import Debugger from './util/debugger';
import {load_strings} from './util/string-helper';
import {ProcessStudyplan} from './studyplan-processor';
import {studyplanTiming} from './util/date-helper';

import TSComponents from './treestudyplan-components';
import ModalComponents from './modedit-modal';
Vue.use(ModalComponents);

import PortalVue from './portal-vue/portal-vue.esm';
Vue.use(PortalVue);
import BootstrapVue from './bootstrap-vue/bootstrap-vue';
Vue.use(BootstrapVue);


let debug = new Debugger("treestudyplanviewer");

let strings = load_strings({
    studyplan: {
        studyplan_select_placeholder: 'studyplan_select_placeholder',
    },
});

/**
 * Initialize the Page
 * @param {Number} studyplanid The id of the studyplan we need to view 
 * @param {Number} period The id of the studyplan we need to view 
 */
export function init(studyplanid,period) {
    // Make sure the id's are numeric and integer
    if (undefined === studyplanid || !Number.isInteger(Number(studyplanid)) ){ 
        studyplanid = 0;
    } else {
        studyplanid = Number(studyplanid);
    } // ensure a numeric value instead of string.

    const app = new Vue({
        el: '#root',
        data: {

        },
        async mounted() {
            
        },
        computed: {
           
        },
        methods: {
            
        },
    });
}
